Subject: Re: linux-next: manual merge of the userns tree with the vfs tree

From: [email-masked] (Eric W. Biederman)
Date: Mon, 15 Dec 2014 22:40:37 -0600

Stephen Rothwell <[email-masked]> writes:

> Hi Eric,
>
> Today's linux-next merge of the userns tree got a conflict in
> kernel/user_namespace.c between commits 3c0411846118 ("switch the rest
> of proc_ns_operations to working with &...->ns") and 64964528b24e
> ("make proc_ns_operations work with struct ns_common * instead of void
> *") from the vfs tree and commits 273d2c67c3e1 ("userns: Don't allow
> setgroups until a gid mapping has been setablished") and 9cc46516ddf4
> ("userns: Add a knob to disable setgroups on a per user namespace
> basis") from the userns tree.
>
> I fixed it up (see below) and can carry the fix as necessary (no action
> is required).

The fix is fine.

It might be a hair better if to_user_ns was below the code I added,
but it doesn't affect functionality so it doesn't matter.

Eric